%define version 4.4.0
%define rversion 0.29

%define realname RULI
%define modname ruli
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A28_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php4-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
License:	GPL
URL:		http://savannah.nongnu.org/projects/ruli/
Source0:	%{modname}-%{rversion}.tar.bz2
BuildRequires:	ruli-devel >= %{rversion}
BuildRequires:	php4-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{rname} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP.
PHP is an HTML-embedded scripting language.
If you need %{realname} support for PHP applications,
you will need to install this package in addition to the php package.

%prep

%setup -q -n %{modname}-%{rversion}
mv php/ruli/* .

%build

php4ize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d
install -m0755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

%{__cat} > README.%{modname} <<EOF
The %{rname} package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php4.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

%{__cat} > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README* tests ruli_sync_query.php ruli_sync_smtp_query.php ruli.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.29-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.29-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.29-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.29-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.29-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.29-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.29-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.29-1mdk
- rebuild for php 4.3.9

* Sun Aug 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.29-1mdk
- initial mandrake package
